<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">WebSocket Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classWebSocket.html">WebSocket</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classWebSocket.html#a57b53de6aeafeb1f57eed90a3357aaa8">close</a>(uint16_t status=CLOSE_NORMAL_CLOSURE, std::string message=&quot;&quot;)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>CLOSE_CANNOT_ACCEPT</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>CLOSE_CLOSED_ABNORMALLY</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>CLOSE_GOING_AWAY</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>CLOSE_NO_EXTENSION</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>CLOSE_NO_STATUS_CODE</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>CLOSE_NORMAL_CLOSURE</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>CLOSE_NOT_CONSISTENT</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>CLOSE_PROTOCOL_ERROR</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>CLOSE_SERVICE_RESTART</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>CLOSE_TLS_HANDSHAKE_FAILURE</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>CLOSE_TOO_BIG</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>CLOSE_TRY_AGAIN_LATER</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>CLOSE_UNEXPECTED_CONDITION</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>CLOSE_VIOLATED_POLICY</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classWebSocket.html#a93cd22aa94f9c0ef2a49e78a822aaa88">getHandler</a>()</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classWebSocket.html#aab1c6f5102716a4200d930ec0e63546e">getSocket</a>()</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HttpServerTask</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classWebSocket.html#a9632cea9451d149a1dda489a3d0975cf">send</a>(std::string data, uint8_t sendType=SEND_TYPE_BINARY)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classWebSocket.html#a8cb4296ffa57b80cbec6694c4611bdea">send</a>(uint8_t *data, uint16_t length, uint8_t sendType=SEND_TYPE_BINARY)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SEND_TYPE_BINARY</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>SEND_TYPE_TEXT</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classWebSocket.html#aad812ebe8eb8405006c0ed8c8e567239">setHandler</a>(WebSocketHandler *handler)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classWebSocket.html#a30c8399db86bb20fdc8facd5d68c79de">WebSocket</a>(Socket socket)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>WebSocketReader</b> (defined in <a class="el" href="classWebSocket.html">WebSocket</a>)</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="classWebSocket.html#a48afbe9b82fde4479913a1b931444729">~WebSocket</a>()</td><td class="entry"><a class="el" href="classWebSocket.html">WebSocket</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
